Loading...
Searching...
No Matches
RDKit::FMCS::Seed Class Reference

`#include <Seed.h>`

## Public Member Functions

| Seed ()
void | setMoleculeFragment (const Seed &src)
Seed & | operator= (const Seed &src)
void | createFromParent (const Seed *parent)
unsigned int | getNumAtoms () const
unsigned int | getNumBonds () const
void | grow (MaximumCommonSubgraph &mcs) const
bool | canGrowBiggerThan (unsigned int maxBonds, unsigned int maxAtoms) const
void | computeRemainingSize (const ROMol &qmol)
unsigned int | addAtom (const Atom *atom)
unsigned int | addBond (const Bond *bond)
void | fillNewBonds (const ROMol &qmol, MaximumCommonSubgraph *mcs=nullptr) const
void | setStoreAllDegenerateMCS (bool value)

## Public Attributes

bool | CopyComplete {false}
unsigned int | GrowingStage {0}
MolFragment | MoleculeFragment
Graph | Topology
boost::dynamic_bitset | ExcludedBonds
unsigned int | LastAddedAtomsBeginIdx {0}
unsigned int | LastAddedBondsBeginIdx {0}
unsigned int | RemainingBonds {0}
unsigned int | RemainingAtoms {0}
DuplicatedSeedCache::TKey | DupCacheKey
std::vector< TargetMatch > | MatchResult

## Detailed Description

Definition at line 60 of file Seed.h.

## Constructor & Destructor Documentation

## Seed()

RDKit::FMCS::Seed::Seed | ( |  | ) |

inline

Definition at line 97 of file Seed.h.

## Member Function Documentation

## addAtom()

unsigned int RDKit::FMCS::Seed::addAtom | ( | const Atom * | atom | ) |

## addBond()

unsigned int RDKit::FMCS::Seed::addBond | ( | const Bond * | bond | ) |

## canGrowBiggerThan()

bool RDKit::FMCS::Seed::canGrowBiggerThan | ( | unsigned int | maxBonds,
|  | unsigned int | maxAtoms
| ) |  | const

inline

Definition at line 141 of file Seed.h.

## computeRemainingSize()

void RDKit::FMCS::Seed::computeRemainingSize | ( | const ROMol & | qmol | ) |

## createFromParent()

void RDKit::FMCS::Seed::createFromParent | ( | const Seed * | parent | ) |

inline

Definition at line 122 of file Seed.h.

References DupCacheKey, ExcludedBonds, MoleculeFragment, RemainingAtoms, RemainingBonds, and Topology.

## fillNewBonds()

void RDKit::FMCS::Seed::fillNewBonds | ( | const ROMol & | qmol,
|  | MaximumCommonSubgraph * | mcs = `nullptr`
| ) |  | const

## getNumAtoms()

unsigned int RDKit::FMCS::Seed::getNumAtoms | ( |  | ) | const

inline

Definition at line 137 of file Seed.h.

References RDKit::FMCS::MolFragment::Atoms.

## getNumBonds()

unsigned int RDKit::FMCS::Seed::getNumBonds | ( |  | ) | const

inline

Definition at line 138 of file Seed.h.

References RDKit::FMCS::MolFragment::Bonds.

## grow()

void RDKit::FMCS::Seed::grow | ( | MaximumCommonSubgraph & | mcs | ) | const

## operator=()

Seed & RDKit::FMCS::Seed::operator= | ( | const Seed & | src | ) |

inline

Definition at line 104 of file Seed.h.

References DupCacheKey, ExcludedBonds, GrowingStage, LastAddedAtomsBeginIdx, LastAddedBondsBeginIdx, MatchResult, MoleculeFragment, RemainingAtoms, RemainingBonds, and Topology.

## setMoleculeFragment()

void RDKit::FMCS::Seed::setMoleculeFragment | ( | const Seed & | src | ) |

inline

Definition at line 101 of file Seed.h.

References MoleculeFragment.

Referenced by RDKit::FMCS::SeedSet::add().

## setStoreAllDegenerateMCS()

void RDKit::FMCS::Seed::setStoreAllDegenerateMCS | ( | bool | value | ) |

inline

Definition at line 154 of file Seed.h.

## Member Data Documentation

## CopyComplete

bool RDKit::FMCS::Seed::CopyComplete {false}

Definition at line 74 of file Seed.h.

## DupCacheKey

DuplicatedSeedCache::TKey RDKit::FMCS::Seed::DupCacheKey

Definition at line 91 of file Seed.h.

Referenced by createFromParent(), and operator=().

## ExcludedBonds

boost::dynamic_bitset RDKit::FMCS::Seed::ExcludedBonds

Definition at line 83 of file Seed.h.

Referenced by createFromParent(), and operator=().

## GrowingStage

unsigned int RDKit::FMCS::Seed::GrowingStage {0}

mutable

Definition at line 77 of file Seed.h.

Referenced by operator=().

## LastAddedAtomsBeginIdx

unsigned int RDKit::FMCS::Seed::LastAddedAtomsBeginIdx {0}

Definition at line 85 of file Seed.h.

Referenced by operator=().

## LastAddedBondsBeginIdx

unsigned int RDKit::FMCS::Seed::LastAddedBondsBeginIdx {0}

Definition at line 87 of file Seed.h.

Referenced by operator=().

## MatchResult

std::vector<TargetMatch> RDKit::FMCS::Seed::MatchResult

Definition at line 94 of file Seed.h.

Referenced by operator=().

## MoleculeFragment

MolFragment RDKit::FMCS::Seed::MoleculeFragment

Definition at line 79 of file Seed.h.

Referenced by createFromParent(), operator=(), and setMoleculeFragment().

## RemainingAtoms

unsigned int RDKit::FMCS::Seed::RemainingAtoms {0}

Definition at line 89 of file Seed.h.

Referenced by createFromParent(), and operator=().

## RemainingBonds

unsigned int RDKit::FMCS::Seed::RemainingBonds {0}

Definition at line 88 of file Seed.h.

Referenced by createFromParent(), and operator=().

## Topology

Graph RDKit::FMCS::Seed::Topology

Definition at line 81 of file Seed.h.

Referenced by createFromParent(), and operator=().

The documentation for this class was generated from the following file:

- Seed.h